package com.ruoyi.syzy.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校招生简章对象 b_busi_wish_universities_enroll_brochure
 *
 * @author voluntary
 * @date 2024-09-27
 */
public class BBusiWishUniversitiesEnrollBrochure
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private Integer year;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String collegeName;

    /** 编辑 */
//    @Excel(name = "编辑")
    private String editor;

    /** summary */
//    @Excel(name = "summary")
    private String summary;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** isArt */
//    @Excel(name = "isArt")
    private Integer isArt;

    /** 类型 */
    @Excel(name = "类型")
    private Integer type;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String typeName;

    /** URL */
    @Excel(name = "链接")
    private String url;

    /** 元数据描述 */
//    @Excel(name = "元数据描述")
    private String metaDescription;

    /** 简章内容 */
//    @Excel(name = "简章内容")
    private String content;

    /** tags */
//    @Excel(name = "tags")
    private String tags;

    /** 是否显示（1是，0否） */
//    @Excel(name = "是否显示", readConverterExp = "1=是，0否")
    private Integer isShow;

    /** 点击量 */
//    @Excel(name = "点击量")
    private Long hits;

    /** 元数据关键词 */
//    @Excel(name = "元数据关键词")
    private String metaKeywords;

    /** 排名 */
//    @Excel(name = "排名")
    private Long rank;

    /** 数据库创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "数据库创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime2;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @Excel(name = "创建时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYear(Integer year)
    {
        this.year = year;
    }

    public Integer getYear()
    {
        return year;
    }
    public void setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode()
    {
        return collegeCode;
    }
    public void setCollegeName(String collegeName)
    {
        this.collegeName = collegeName;
    }

    public String getCollegeName()
    {
        return collegeName;
    }
    public void setEditor(String editor)
    {
        this.editor = editor;
    }

    public String getEditor()
    {
        return editor;
    }
    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getSummary()
    {
        return summary;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setIsArt(Integer isArt)
    {
        this.isArt = isArt;
    }

    public Integer getIsArt()
    {
        return isArt;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setMetaDescription(String metaDescription)
    {
        this.metaDescription = metaDescription;
    }

    public String getMetaDescription()
    {
        return metaDescription;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setTags(String tags)
    {
        this.tags = tags;
    }

    public String getTags()
    {
        return tags;
    }
    public void setIsShow(Integer isShow)
    {
        this.isShow = isShow;
    }

    public Integer getIsShow()
    {
        return isShow;
    }
    public void setHits(Long hits)
    {
        this.hits = hits;
    }

    public Long getHits()
    {
        return hits;
    }
    public void setMetaKeywords(String metaKeywords)
    {
        this.metaKeywords = metaKeywords;
    }

    public String getMetaKeywords()
    {
        return metaKeywords;
    }
    public void setRank(Long rank)
    {
        this.rank = rank;
    }

    public Long getRank()
    {
        return rank;
    }
    public void setCreateTime2(Date createTime2)
    {
        this.createTime2 = createTime2;
    }

    public Date getCreateTime2()
    {
        return createTime2;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("collegeCode", getCollegeCode())
            .append("collegeName", getCollegeName())
            .append("editor", getEditor())
            .append("summary", getSummary())
            .append("title", getTitle())
            .append("isArt", getIsArt())
            .append("type", getType())
            .append("metaDescription", getMetaDescription())
            .append("content", getContent())
            .append("tags", getTags())
            .append("isShow", getIsShow())
            .append("hits", getHits())
            .append("metaKeywords", getMetaKeywords())
            .append("rank", getRank())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createTime2", getCreateTime2())
            .append("typeName", getTypeName())
            .toString();
    }
}
